The API allows a POS to accept Embedded Payments payments.
Embedded Payments API (1.0)
- Productionhttps://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}/transactions/{transactionId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}/transactions/{transactionId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
The time the transaction was created. The format of the date time is the notation as defined by RFC 3339, section 5.6
Customer receipt.
{ "transactionId": "string", "transactionLocalDateTime": "2023-05-02T08:28:13", "reference": "string", "transactionReference": "string", "locationId": "tc-exampleshop-3000", "mid": "string", "tid": "string", "amount": 0, "paymentType": "Purchase", "surchargeAmount": 0, "tipAmount": 0, "elidedPan": "string", "cardType": "string", "approvalCode": "string", "transactionResult": "APPROVED", "retrievalReferenceNumber": "string", "customerReceipt": " Example Restaurant\n 55 Market St\n Sydney NSW 2000\n\n Tyro Payments EFTPOS\n\nVisa DEBIT\nAID: A0000000031010\nCard: XXXXXXXXX2989(T)\nPSN: 00, ATC: 0007\nTVR: 0000000000\n\nPurchase AUD $4.55\n----------------------------\nTotal AUD $4.55\n\nAPPROVED 00\n\nTerminal ID: 4\nTransaction Ref: 395001\nAuthorisation No: 000184\n02 Apr 2024 at 04:52 PM" }
The location ID of the transactions to be retrieved.
This is the location ID of the merchant that you are using to retrieve the transactions.
Specifies the amount of results to be retrieved.
A maximum of 100 results are returned if this value is not provided.
Specify the page to retrieve.
You will need to use this setting if you wish to retrieve specific pages.
Page-numbering is based on the value of "limit". If limit=5, then page=1 will display the hits from 1 to 5, page=3 will display the hits from 11 to 15.
Page numbers start at 1.
A request for a non-existing page will yield 0 results.
- Productionhttps://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}/transactions
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}/transactions?reference=string&locationId=tc-location-2000&limit=10&page=2' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
The results for the location that satisfy the filtering criteria
The time the transaction was created. The format of the date time is the notation as defined by RFC 3339, section 5.6
The unique reference supplied by the partner to initialize this transaction.
The locationId that was used for this transaction.
Customer receipt.
{ "results": [ { … } ], "pagination": { "page": 1, "size": 10, "limit": 100, "total": 45 } }